<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PrivacySettingDisableLinkPreviewsAction extends \Google\Protobuf\Internal\Message
{
    


    protected $isPreviewsDisabled = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsPreviewsDisabled()
    {
        return isset($this->isPreviewsDisabled) ? $this->isPreviewsDisabled : false;
    }

    public function hasIsPreviewsDisabled()
    {
        return isset($this->isPreviewsDisabled);
    }

    public function clearIsPreviewsDisabled()
    {
        unset($this->isPreviewsDisabled);
    }

    




    public function setIsPreviewsDisabled($var)
    {
        GPBUtil::checkBool($var);
        $this->isPreviewsDisabled = $var;

        return $this;
    }

}

